\name{batchPca}
\alias{batchPca}
\alias{batchPca,exprSet-method}
\alias{batchPca,matrix-method}
\title{Compute Batched PCA}
\description{Provided a matrix with variables as rows, samples as
  columns and a map that defines which variables belong to a common
  class, \code{batchPca} can be used for computing a PCA for each of
  these classes. \code{pca} is used for the PCA analysis.}
\usage{batchPca(object, map, verbose=TRUE,...)}
\arguments{
  \item{object}{Either a matrix or an exprSet}
  \item{map}{A list corresponding to the different subsets of indices}
  \item{verbose}{If TRUE, messages are printed at start and end of
    calculation}
  \item{...}{Further arguments to \code{pca}}
}
\value{
  A batchPcaRes object
}
\author{Henning Redestig}
\seealso{\code{pca}, \code{prcomp}, \code{princomp}}
\keyword{multivariate}

