\name{modelScores}
\docType{class}
\alias{modelScores}
\alias{modelScores-class}
\alias{[,modelScores-method}
\alias{names,modelScores-method}

\title{Class for representing score object from a batchPcaRes}

\description{This is a class representation of scores from a batched PCA result}

\section{Creating Objects}{
  \code{new("modelScores", scores=[the scores for each model],
    clusterings=[the clusterings computed based on each model alone],
    sizes=[the sizes of the gene classes used], certainty=[how certain
    the classification of each sample was], scoretype=[the scoretype used])}
}

\section{Slots}{
  \describe{
    \item{scores}{"numeric", vector with one score for each gene class}
    \item{clusterings}{"matrix", each column in this matrix contains the
      clustering vector from the corresponding gene class.}
    \item{sizes}{"numeric", vector showing the sizes of the different
      gene classes (amount of genes in them)}
    \item{certainty}{"matrix", each column in this matrix contains the
      certainty levels for the clustering of each sample. 1 is
      completely sure (default for e.g. K-means)}
    \item{scortype}{"character", the scoretype used to calculate this
      model score}
  }
}
\section{Methods}{
  \describe{
    \item{names}{Extract the names of the gene classes used}
    \item{"["}{Subsetting extracts one or a set of scores from the
      batch.}
  }
}
\keyword{classes}
