\name{udt}
\docType{class}
\alias{udt}
\alias{udt-class}
\alias{getSizes}
\alias{getScores}
\alias{getGeneClasses}
\alias{getRanks}
\alias{getChildren}
\alias{getMembers}
\alias{getType}
\alias{addNodes}
\alias{getSizes,udt-method}
\alias{getScores,udt-method}
\alias{getGeneClasses,udt-method}
\alias{getRanks,udt-method}
\alias{getChildren,udt-method}
\alias{getMembers,udt-method}
\alias{getType,udt-method}
\alias{addNodes,udt-method}
\alias{length,udt-method}

\title{Class for representing of a CAPIU tree}

\description{This is a class representation of a CAPIU tree. It used  a
  perhaps bit
  weird way of representing a graph where the first node points to the
  next 'children' nodes. The next node points to its children calculated
  with an offset depending on the amount of children the previous node
  had and so on.}

\section{Creating Objects}{
  \code{new("node", nodes=[list of node], labels=[optional labels of the
    samples in the dataset])}
}
\section{Slots}{
  \describe{
    \item{nodes}{"list", each element is of class "node", together they
      make up a tree}
    \item{labels}{"character", optional labels for each sample used to
      generate the tree. Should be identifiable by their names.}
  }
}
\section{Methods}{
  \describe{
    \item{getSizes(object, i)}{Get sizes for node i}
    \item{getScores(object, i)}{Get scores for node i}
    \item{getGeneClasses(object, i)}{Get gene classes for node i}
    \item{getRanks(object, i)}{Get ranks for node i}
    \item{getChildren(object, i)}{Get amount of children for node i}
    \item{getMembers(object, i, j=NULL, translate=TRUE)}{Get members for
      node i, branch j and possibly translate the using the labels slot}
    \item{getType(object, i)}{Get type of node i}
    \item{addNodes(object, node)}{Add node to object to get a larger
      tree}
    \item{length(x)}{Get length of this tree}
  }
}
\keyword{tree}


