\name{makeMap}
\alias{makeMap}
\title{Create a gene class mapping from GO annotations}
\description{Makes a mapping given a chip name and a set of probes to
  use. Parents identical to any of their children are
  removed. \code{getGOTerm} extracts the term
  corresponding to a given GO identifier.}
\usage{
makeMap(chip, probes, ontology="BP", upperLimit=300, lowerLimit=5)
}
\arguments{
  \item{chip}{The used chip}
  \item{probes}{The set of probes that were used on that chip.}
  \item{ontology}{The ontology from GO that should be used}
  \item{upperLimit}{The largest allowed gene class}
  \item{lowerLimit}{The smallest allowed gene class}
}
\value{
  A list with elements corresponding to the indices in the probes
  vector. 
}
\author{Henning Redestig}
\seealso{\code{GO}}
\examples{
require("GO") || stop("GO unavailable")
# Convert a GO environment object to a list
data(golubMergeSub)
map <- makeMap("hu6800", geneNames(golubMergeSub))
}
\keyword{list}
